Name: moodbar
Version: 0.1.2
Release: 1%{?_dist_release}
Summary: Creates a colorful visual representation of the contents of an audio file
Summary(ja): オーディオファイルの内容をカラフルなビジュアル表現で作成します。
License: GPLv2
Group: Applications/Multimedia
URL: http://amarok.kde.org/wiki/Moodbar
Source: http://pwsp.net/~qbob/moodbar-%{version}.tar.gz
Requires: fftw3, gstreamer-plugins, glib2, libxml2
BuildRequires: pkgconfig, fftw3-devel, gstreamer-plugins-devel, glib2-devel, libxml2-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{_prefix}
Vendor: Project Vine
Distribution: Vine Linux

%description
The Moodbar is an algorithm for creating a colorful visual representation of the contents of an audio file, 
giving an idea of its "mood" (this is a rather fanciful term for the simple analysis it actually does).
The Moodbar was invented by Gavin Wood and Simon O'Keefe for inclusion in the Amarok music player.

%description -l ja
Moodbar はカラフルなビジュアル表現でオーディオファイルの内容を作成するためのアルゴリズムです。
その「ムード」（むしろ単純な分析のための空想的な用語です）についてのアイデアを与えます。
Moodbar は、Amarok 音楽プレーヤーへの合併のために、ギャビンウッドとサイモンオキーフによって開発されました。

%prep
%setup -q

%build
%configure --prefix=%{_prefix}
		
%{__make}

%install
%{__rm} -rf $RPM_BUILD_ROOT 
%{__rm} -rf $RPM_BUILD_ROOT%{_libdir}/gstreamer-0.10/libmoodbar.la

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/%{name}
%exclude %{_libdir}/gstreamer-0.10/libmoodbar.a
#%{_libdir}/gstreamer-0.10/libmoodbar.la
%{_libdir}/gstreamer-0.10/libmoodbar.so

%changelog
* Fri Jan 2 2009 TOSHI <milk-tea1977@dune.ocn.ne.jp> 0.1.2-1vl5
- Initial Package for Vine Linux

# end of file

